Subject: Re: Git terminology: remote, add, track, stage, etc.

From: Matthieu Moy <[email-masked]>
Date: Wed, 20 Oct 2010 13:34:44 +0200

Thore Husfeldt <[email-masked]> writes:

>> Branch bobsstuff set up to track remote branch master from bob.
>
> (By the way, I think “remote branch” is useful and correct, here.)

But "track" should be "upstream" here to be consistant with
"--set-upstream". Maybe:

Remote branch master from bob set as upstream for bobsstuff.

?

> Let me see if I can use the proposed terminology:
>
> 1. bob/master *tracks* master.
> 2. bob/master is a remote-tracking branch

I do like the dash between remote and tracking.

This is roughly the current terminology, but as you pointed out, it's
not used consistantly in the doc.

> 3. master is a remote branch
> 4. bob/master has been marked as "upstream" from bobsstuff 

That's my understanding too.

(no time for more detailed answer, sorry)

-- 
Matthieu Moy
http://www-verimag.imag.fr/~moy/